- eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
- & eval 'exec perl -S $0 $argv:q'
- if 0;
- # THE PRECEEDING STUFF EXECS perl via $PATH
- # -*-Fundamental-*-
- # $Id: //guest/rick_richardson/perforce/utils/cvs2p4/bin/revmap#1 $
- #
- # Richard Geiger
- #
- require 5.000;
- use Carp; # ...or flounder. (This will fail unless 'perl' is a perl5!)
- $| = 1;
- ($Myname = $0) =~ s%^.*/%%;
- $Usage = <<LIT;
- $Myname: usage: $Myname
- LIT
- sub usage
- {
- print STDERR $Usage;
- exit 1;
- }
- sub help
- {
- print STDERR <<LIT;
- $Usage
- $Myname is...
- LIT
- exit 1;
- }
- # option switch variables get defaults here...
- $Boolopt = 0;
- $Valopt = 0;
- while ($#ARGV >= 0)
- {
- if ($ARGV[0] eq "-boolopt") { $Boolopt = 1; shift; next; }
- elsif ($ARGV[0] eq "-valopt")
- {
- shift; if ($ARGV[0] < 0) { &usage; }
- $Valopt = $ARGV[0]; shift; next;
- }
- elsif ($ARGV[0] eq "-help")
- { &help; }
- elsif ($ARGV[0] =~ /^-/) { &usage; }
- if ($Args ne "") { $Args .= " "; }
- push(@Args, $ARGV[0]);
- shift;
- }
- if ($#Args ne 0) { &usage; }
- $Convdir = $Args[0];
- chdir $Convdir || die "$Myname: can't chdir \"$Convdir\": $!";
- $Convdir = `/bin/pwd`; chop $Convdir;
- chdir $Here || die "$Myname: can't chdir \"$Here\": $!";
- $Revmap = "$Convdir/revmap";
- if (! dbmopen(REVMAP, $Revmap, 0444))
- { print "$Myname: can't dbmopen \"$Revmap\": $!\n"; exit 1; }
- while (($key,$val) = each %REVMAP)
- { print "$key $val\n"; }
- dbmclose REVMAP;
# | Change | User | Description | Committed | |
---|---|---|---|---|---|
#1 | 645 | Rick Richardson | Create banch for adding p4wrapper. | 24 years ago | |
//guest/perforce_software/utils/cvs2p4/bin/revmap | |||||
#1 | 152 | Laura Wingerd | cvs2p4 goes public. | 26 years ago | |
//guest/richard_geiger/utils/cvs2p4/bin/revmap | |||||
#1 | 130 | Richard Geiger | CVS-to-Perforce converter. This is release 1.2.2 (first submit to the Perforce Public Dep...ot) « |
26 years ago |